Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator
Class TemplateEngine

    java.lang.Object
      com.ssaglobal.generator.TemplateEngine

Direct Known Subclasses:
  FreeMarkerEngine, JamonEngine, StringTemplateEngine

    public abstract class TemplateEngine

extends java.lang.Object

This class defines a common interface to a template engine. The generator framework allows using any template engine that's been wrapped by a specialized implementation of `TemplateEngine`.

See Also:
  `FreeMarkerEngine`, `JamonEngine`, `StringTemplateEngine`

Field Summary
`protected Generator` | `generator`

Constructor Summary
`protected` | `TemplateEngine(Generator generator)` Constructor

Method Summary
`abstract java.lang.String` | `process(org.eclipse.emf.ecore.EObject object, java.lang.String templatePath, java.util.HashMap helpers)` Invoke a template on a model object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### generator

    protected Generator generator

Constructor Detail

### TemplateEngine

    protected TemplateEngine(Generator generator)

  Constructor

Method Detail

### process

    public abstract java.lang.String process(org.eclipse.emf.ecore.EObject object,
                                             java.lang.String templatePath,
                                             java.util.HashMap helpers)

  Invoke a template on a model object

  Parameters:
    `object` - the model object to be processed by the template
    `templatePath` - the path to the template to be processed. Note that path is relative to the path specified in the `templateRoot` element of the `controlData` parameter passed to the constructor
    `helpers` - helper classes required by the template to augment the data model
  Returns:
    the result of processing the template

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD